MEMORY {
	sram : ORIGIN = 0x40000000, LENGTH = 0x00010000
	arena : ORIGIN = 0x60000000, LENGTH = 0x00040000
	spiflash : ORIGIN = 0x20000000, LENGTH = 0x01000000
	rom : ORIGIN = 0x20200000, LENGTH = 0x00e00000
	csr : ORIGIN = 0xf0000000, LENGTH = 0x00010000
}

REGION_ALIAS("REGION_TEXT", spiflash);
REGION_ALIAS("REGION_RODATA", spiflash);
REGION_ALIAS("REGION_DATA", sram);
REGION_ALIAS("REGION_BSS", sram);
REGION_ALIAS("REGION_HEAP", sram);
REGION_ALIAS("REGION_STACK", sram);

/* CPU reset location. */
_stext = 0x20200000;
